.\" Copyright (c) March 1996 Wolfram Schneider <wosch@FreeBSD.org>. Berlin.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" /usr/bin/catman - preformat man pages
.\"
.\" $FreeBSD: src/gnu/usr.bin/man/catman/catman.1,v 1.8.2.3 1999/09/05 11:06:49 peter Exp $
.Dd Mar 12, 1995
.Dt CATMAN 1
.Os
.Sh NAME
.Nm catman
.Nd preformat man pages
.Sh SYNOPSIS
.Nm catman
.Op Fl f | Fl force
.Op Fl h | Fl help
.Op Fl p | Fl print
.Op Fl r | Fl remove
.Op Fl v | Fl verbose
.Op Ar directories...
.Sh DESCRIPTION 
.Nm Catman
format man pages to ASCII.  It's like typing
.Sq man program
for all man pages in 
.Ar directories .
.Ar Directories
is a list of man directories or subdirectories separated
by spaces or colons.
Use 
.Ar /usr/share/man
if no 
.Ar directories
defined.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl f , Fl force
Force overwriting old cat pages.  Normally only those pages will be formatted
which are not up to date.  This option is a waste of time, CPU and RAM.
.It Fl h , Fl help
Print options and exit.
.It Fl p , Fl print
Don't actually format man pages. Show what would be done.
.It Fl r , Fl remove
Remove garbage, e.\& g. catpage without manpage, uncompressed catpage but
a compressed catpage exist, filenames with non-alphanumeric
characters, uncompressed manpage but a compressed manpage exist.
.It Fl v , Fl verbose
More warnings.
.Sh EXAMPLES
.Pp
.Dl $ catman
.Pp
Format man pages in
.Ar /usr/share/man
if necessary.
.Pp
.Dl $ catman $MANPATH
.Pp
Format all your man pages if necessary.
.Pp
.Dl $ catman -f /usr/local/man/man1 /usr/local/man/manl
.Pp
Force reformatting of all man pages in
.Pa /usr/local/man/man1
and
.Pa /usr/local/man/manl .
.Pp
.Dl $ catman -p /usr/X11/man
.Pp
Show only.
.Sh FILES
.Bl -tag -width /etc/weeklyxxx -compact
.Pa /etc/weekly
Starts this program
.Po
or
.Pa /etc/daily
.Pc
.El
.Sh FEATURES
Very fast if all man pages already formatted.
Does not support the
.Fl w
option as some other systems do.  Use
.Xr makewhatis 1
to rebuild the
.Ql whatis
database.
.Sh BUGS
.Xr man 1
is a setuid program.  Be careful that user
.Sq man
has write permissions to the catman directories.
.Nm Catman
does not check for any
.Sq .so
in man page sources.  Use hard or symlinks
to avoid redundant formatted man pages.
.Sh SEE ALSO
.Xr makewhatis 1 ,
.Xr man 1 ,
.Xr manpath 1
.Sh HISTORY
This version of
.Nm catman
command appeared in
.Fx 2.1 .
.Sh AUTHOR
Wolfram Schneider
.Aq wosch@FreeBSD.org ,
Berlin.
